<?php namespace App\ViewModels\DocumentoAnexo\DocumentoAnexoListViewModel;


use App\Utils\Builder;

class DocumentoAnexoListViewModelBuilder implements Builder
{
    protected $id;
    protected $url;
    protected $descricao;
    protected $id_cliente;
    protected $id_pet;
    protected $criado_em;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     * @return DocumentoAnexoListViewModelBuilder
     */
    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * @param mixed $url
     * @return DocumentoAnexoListViewModelBuilder
     */
    public function setUrl($url)
    {
        $this->url = $url;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getDescricao()
    {
        return $this->descricao;
    }

    /**
     * @param mixed $descricao
     * @return DocumentoAnexoListViewModelBuilder
     */
    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getIdCliente()
    {
        return $this->id_cliente;
    }

    /**
     * @param mixed $id_cliente
     * @return DocumentoAnexoListViewModelBuilder
     */
    public function setIdCliente($id_cliente)
    {
        $this->id_cliente = $id_cliente;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getIdPet()
    {
        return $this->id_pet;
    }

    /**
     * @param mixed $id_pet
     * @return DocumentoAnexoListViewModelBuilder
     */
    public function setIdPet($id_pet)
    {
        $this->id_pet = $id_pet;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getCriadoEm()
    {
        return $this->criado_em;
    }

    /**
     * @param mixed $criado_em
     * @return DocumentoAnexoListViewModelBuilder
     */
    public function setCriadoEm($criado_em)
    {
        $this->criado_em = $criado_em;
        return $this;
    }

    public function build() : DocumentoAnexoListViewModel
    {
        $galeria_details_vm = new DocumentoAnexoListViewModel();
        $galeria_details_vm->setId($this->id);
        $galeria_details_vm->setIdPet($this->id_pet);
        $galeria_details_vm->setIdCliente($this->id_cliente);
        $galeria_details_vm->setUrl($this->url);
        $galeria_details_vm->setCriadoEm($this->criado_em);
        $galeria_details_vm->setDescricao($this->descricao);
        return $galeria_details_vm;
    }


}